Subject: Re: bug#67533: SVG images confound position pixel measurements

From: JD Smith <[email-masked]>
Date: Fri, 1 Dec 2023 10:45:00 -0500

> On Dec 1, 2023, at 10:36 AM, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: JD Smith <[email-masked]>
>> Date: Fri, 1 Dec 2023 10:21:19 -0500
>> Cc: Manuel Giraud <[email-masked]>,
>> [email-masked]
>> 
>> 
>>> Btw, I wonder what you and JD expect from the (cons (point) -1)
>>> argument.  The doc string says:
>>> 
>>> If FROM is a cons, its car specifies a buffer position, and its cdr
>>> specifies the vertical offset in pixels from that position to the
>>> first screen line to be measured.
>>> 
>>> What is the meaning of negative offset from the first line of the
>>> buffer? there's no screen line at that offset, so what do you expect
>>> that to do?  Or what am I missing?
>> 
>> In that case I would expect zero pixel height is returned.
> 
> Why zero?  Why not consider that undefined behavior?

Depends on what the natural height on a non-existent line is.  Zero makes sense to me.  But I suppose returning height=nil or something else to indicate “I gave up” would also be reasonable.